{ lib, ... }: {
  # This file was populated at runtime with the networking
  # details gathered from the active system.
  networking = {
    nameservers = [ "67.207.67.2"
 "67.207.67.3"
 ];
    defaultGateway = "165.232.144.1";
    defaultGateway6 = {
      address = "2604:a880:4:1d0::1";
      interface = "eth0";
    };
    domain = "";
    dhcpcd.enable = false;
    firewall.enable = false;
    hostName = "anythingforafriend";
    usePredictableInterfaceNames = lib.mkForce false;
    interfaces = {
      eth0 = {
        ipv4.addresses = [
          { address="165.232.148.220"; prefixLength=20; }
{ address="10.48.0.6"; prefixLength=16; }
        ];
        ipv6.addresses = [
          { address="2604:a880:4:1d0::8824:2000"; prefixLength=64; }
{ address="fe80::d07c:78ff:feb9:fc84"; prefixLength=64; }
        ];
        ipv4.routes = [ { address = "165.232.144.1"; prefixLength = 32; } ];
        ipv6.routes = [ { address = "2604:a880:4:1d0::1"; prefixLength = 128; } ];
      };
            eth1 = {
        ipv4.addresses = [
          { address="10.124.0.3"; prefixLength=20; }
        ];
        ipv6.addresses = [
          { address="fe80::a05e:22ff:fec7:6692"; prefixLength=64; }
        ];
        };
    };
  };
  services.udev.extraRules = ''
    ATTR{address}=="d2:7c:78:b9:fc:84", NAME="eth0"
    ATTR{address}=="a2:5e:22:c7:66:92", NAME="eth1"
  '';
}
